Package ru.bitel.bgbilling.plugins.message4user.server.bean

# Class MessageForUsersManager

java.lang.Object
ru.bitel.bgbilling.plugins.message4user.server.bean.MessageForUsersManager

    public class MessageForUsersManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MessageForUsersManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteMessage​(int messageId)` | Удаляет сообщение
  `java.util.List<IdTitle>` | `getGroupList()` | Возвращает список групп
  `int` | `getLastMessageId​(int userId)` | Возвращает номер последнего прочитанного сообщения пользователем из конфигурации пользователя
  `java.util.List<Message>` | `getMessageList()` | Возвращает список сообщений
  `java.util.List<Message>` | `getMessageList​(int lastMessageId, int userId)` | Возвращает список сообщений, начиная от последнего не прочитанного пользователем
  `java.util.List<Message>` | `getMessageList​(int lastMessageId, java.lang.String userId)` | Deprecated.
  `java.util.Set<java.lang.Integer>` | `getUsersInGroup​(java.util.Set<java.lang.Integer> groups)` |
  `void` | `updateMessage​(Message message)` | Обновляет/добавляет сообщение
  `void` | `updateUserConfig​(int lastMessageId, int userId)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageForUsersManager

    public MessageForUsersManager​(java.sql.Connection con)

- ## Method Details

  - ### getMessageList

    public java.util.List<Message> getMessageList() throws ru.bitel.bgbilling.common.BGException
    Возвращает список сообщений
    Returns:
      пустой список, если нет сообщений
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMessageList

    public java.util.List<Message> getMessageList​(int lastMessageId, int userId) throws ru.bitel.bgbilling.common.BGException
    Возвращает список сообщений, начиная от последнего не прочитанного пользователем
    Returns:
      пустой список, если нет сообщений
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMessageList

    @Deprecated public java.util.List<Message> getMessageList​(int lastMessageId, java.lang.String userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Возвращает список сообщений, начиная от последнего не прочитанного пользователем
    Returns:
      пустой список, если нет сообщений
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGroupList

    public java.util.List<IdTitle> getGroupList() throws ru.bitel.bgbilling.common.BGException
    Возвращает список групп
    Returns:
      пустой список, если нет групп
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateMessage

    public void updateMessage​(Message message) throws ru.bitel.bgbilling.common.BGException
    Обновляет/добавляет сообщение
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLastMessageId

    public int getLastMessageId​(int userId) throws ru.bitel.bgbilling.common.BGException
    Возвращает номер последнего прочитанного сообщения пользователем из конфигурации пользователя
    Parameters:
      `userId` -
    Returns:
      вернет -1, если не найдет параметр
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteMessage

    public void deleteMessage​(int messageId)
    Удаляет сообщение
    Parameters:
      `messageId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateUserConfig

    public void updateUserConfig​(int lastMessageId, int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getUsersInGroup

    public java.util.Set<java.lang.Integer> getUsersInGroup​(java.util.Set<java.lang.Integer> groups)